% Input:
% L: Matrix (containing row-wise direction vectors)
% spvalues: vector (evaluations)
% color: vector (3x1 defining a color)
% handle: figure handle

% Output:
% A: Matrix (1st row , 2nd row Y coordinates of the vertices of the
%            overapproximation of the set to plot)

% Description:
% Plots a convex set using the color "color" in figure handles

function [A] = plotconvexsetEXT(L,spvalues, color, handle)

% Compute vertices
A = calcPolytopeVertices(L,spvalues);

%Close figure
A(1,size(A,2)+1) = A(1,1);
A(2,size(A,2)) = A(2,1);

plot(handle,A(1,:),A(2,:),'Color',color,'LineStyle','-','Marker','.');
